summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorEric Sommerlade <eric@sommerla.de>2000-10-05 17:37:29 +0000
committerEric Sommerlade <eric@sommerla.de>2000-10-05 17:37:29 +0000
commitc7623ebd7f73cbefd977cd97794a6b846de14205 (patch)
treec902c3e55457983c145d46222144b9d8284e66e8 /autogen.sh
downloadcppunit-c7623ebd7f73cbefd977cd97794a6b846de14205.tar.gz
Initial check in.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..e40e581
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`autoconf' installed ."
+ DIE=1
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`automake' installed."
+ DIE=1
+ NO_AUTOMAKE=yes
+}
+
+(aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: Missing \`aclocal'."
+ DIE=1
+}
+
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`libtool' installed."
+ DIE=1
+}
+
+
+if [ -d /usr/local/share/aclocal ]; then
+ ACLOCAL_FLAGS="-I /usr/local/share/aclocal $ACLOCAL_FLAGS"
+fi
+aclocal $ACLOCAL_FLAGS
+libtoolize --force --copy
+autoheader
+automake
+autoconf